=== debian/changelog ===
texlive-base (2020.20210106-1) unstable; urgency=medium

  * New upstream checkout.
  * Add FileMove texlive-plain-generic to texlive-base.
    (Closes: #978431)

 -- Hilmar Preusse <hille42@web.de>  Thu, 07 Jan 2021 16:23:40 +0100
