## texlive-base 2020.20210113

=== debian/changelog ===
texlive-base (2020.20210113-1) unstable; urgency=medium

  * New upstream checkout, patch refresh.
    Contains new latex-base, latex-base-dev, l3packages, l3experimental.

 -- Hilmar Preusse <hille42@web.de>  Wed, 13 Jan 2021 22:27:31 +0100
